{
  "type" : "record",
  "name" : "MendelianInconsistencies",
  "namespace" : "org.gel.models.metrics.avro",
  "fields" : [ {
    "name" : "perFamilyMendelErrors",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "PerFamilyMendelErrors",
        "doc" : "Mendelian inconsistencies\n    ========================================\n    - fmendel reports a line per nuclear family\n    - imendel reports a line per member of the family and nuclear family",
        "fields" : [ {
          "name" : "fatherId",
          "type" : [ "null", "string" ],
          "doc" : "Sample Id of the father"
        }, {
          "name" : "motherId",
          "type" : [ "null", "string" ],
          "doc" : "Sample Id of the mother"
        }, {
          "name" : "numberOfOffspring",
          "type" : [ "null", "double" ],
          "doc" : "Number of children in the nuclear family"
        }, {
          "name" : "numberOfMendelErrors",
          "type" : [ "null", "double" ],
          "doc" : "Number of Mendelian errors in the nuclear family"
        } ]
      }
    } ],
    "doc" : "Number of mendelian inconsitencies per nuclear family. One entry per nuclear family"
  }, {
    "name" : "individualMendelErrors",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "IndividualMendelErrors",
        "fields" : [ {
          "name" : "sampleId",
          "type" : [ "null", "string" ],
          "doc" : "Sample Id"
        }, {
          "name" : "numberOfMendelErrors",
          "type" : [ "null", "double" ],
          "doc" : "Number of Mendelian errors per sample in a nuclear family"
        }, {
          "name" : "rateOfMendelErrors",
          "type" : [ "null", "double" ],
          "doc" : "Rate of Mendelian errors per sample in a nuclear family to the number of sites tested (number of markers)"
        } ]
      }
    } ],
    "doc" : "Number of mendelian inconsitencies per sample and nuclear family. One entry per sample and nuclear family"
  }, {
    "name" : "totalNumberOfMendelErrors",
    "type" : [ "null", {
      "type" : "record",
      "name" : "TotalNumberOfMendelErrors",
      "fields" : [ {
        "name" : "familyMendelErrors",
        "type" : [ "null", "double" ],
        "doc" : "Total number of Mendelian errors in the family, this should be the sum of the mendelian errors in each\n        nuclear family"
      }, {
        "name" : "individualMendelErrors",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "AggregatedIndividualMendelErrors",
            "fields" : [ {
              "name" : "sampleId",
              "type" : [ "null", "string" ],
              "doc" : "Sample Id"
            }, {
              "name" : "totalnumberOfMendelErrors",
              "type" : [ "null", "double" ],
              "doc" : "Total number of Mendelian errors per sample considering all nuclear families"
            } ]
          }
        } ],
        "doc" : "Number of Mendelian errors per sample considering all nuclear families. Should be one entry per sample in\n        the family"
      } ]
    } ],
    "doc" : "Aggregated number of mendelian inconsitencies per sample and family"
  }, {
    "name" : "locusMendelSummary",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "LocusMendelSummary",
        "fields" : [ {
          "name" : "sampleId",
          "type" : [ "null", "string" ],
          "doc" : "Sample Id"
        }, {
          "name" : "chr",
          "type" : [ "null", "string" ],
          "doc" : "Chromosome (1-22, X, Y, XY)"
        }, {
          "name" : "code",
          "type" : [ "null", "double" ],
          "doc" : "Numeric error code (more information here: http://zzz.bwh.harvard.edu/plink/summary.shtml#mendel)"
        }, {
          "name" : "numberOfErrors",
          "type" : [ "null", "double" ],
          "doc" : "Number of errors of the type \"code\" in that chromosome"
        } ]
      }
    } ],
    "doc" : "Summary of the type of mendelian inconstencies happening in the family. One entry per sample, chromosome and\n        code"
  } ]
}
